org.cybergarage.upnp.ssdp

## Class SSDPRequest

- java.lang.Object
- - org.cybergarage.http.HTTPPacket
  - - org.cybergarage.http.HTTPRequest
    - - org.cybergarage.upnp.ssdp.SSDPRequest

Direct Known Subclasses:
  SSDPNotifyRequest, SSDPSearchRequest

    public class SSDPRequest
    extends HTTPRequest

### Constructor Summary

Constructors
Constructor and Description
`SSDPRequest()`

### Method Summary

Methods
`int` `getLeaseTime()`
`String` `getLocation()`
`String` `getNT()`
`String` `getNTS()`
`String` `getUSN()`
`void` `setLeaseTime(int len)`
`void` `setLocation(String value)`
`void` `setNT(String value)`
`void` `setNTS(String value)`
`void` `setUSN(String value)`

### Methods inherited from class org.cybergarage.http.HTTPRequest

`getFirstLineString, getHeader, getHTTPVersion, getLocalAddress, getLocalPort, getMethod, getParameterList, getParameterValue, getRequestHost, getRequestPort, getSocket, getURI, isGetRequest, isHeadRequest, isKeepAlive, isMethod, isNotifyRequest, isPostRequest, isSOAPAction, isSubscribeRequest, isUnsubscribeRequest, parseRequestLine, post, post, post, print, read, returnBadRequest, returnOK, returnResponse, set, setMethod, setRequestHost, setRequestPort, setSocket, setURI, setURI, toString`

### Methods inherited from class org.cybergarage.http.HTTPPacket

`addHeader, addHeader, clearHeaders, getCacheControl, getConnection, getContent, getContentInputStream, getContentLength, getContentRange, getContentRangeFirstPosition, getContentRangeInstanceLength, getContentRangeLastPosition, getContentString, getContentType, getDate, getFirstLine, getFirstLineToken, getHeader, getHeader, getHeaderString, getHeaderValue, getHost, getIntegerHeaderValue, getLongHeaderValue, getNHeaders, getServer, getStringHeaderValue, getStringHeaderValue, getTransferEncoding, getVersion, hasConnection, hasContent, hasContentInputStream, hasContentRange, hasFirstLine, hasHeader, hasTransferEncoding, init, isChunked, isCloseConnection, isKeepAliveConnection, read, set, set, set, set, setCacheControl, setCacheControl, setCacheControl, setConnection, setContent, setContent, setContent, setContent, setContentInputStream, setContentLength, setContentRange, setContentType, setDate, setHeader, setHeader, setHeader, setHeader, setHost, setIntegerHeader, setLongHeader, setServer, setStringHeader, setStringHeader, setTransferEncoding, setVersion`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SSDPRequest

    public SSDPRequest()

### Method Detail

#### setNT

    public void setNT(String value)

#### getNT

    public String getNT()

#### setNTS

    public void setNTS(String value)

#### getNTS

    public String getNTS()

#### setLocation

    public void setLocation(String value)

#### getLocation

    public String getLocation()

#### setUSN

    public void setUSN(String value)

#### getUSN

    public String getUSN()

#### setLeaseTime

    public void setLeaseTime(int len)

#### getLeaseTime

    public int getLeaseTime()